package ink.wgink.module.wechat.service.pay.v3;

import ink.wgink.module.wechat.pojo.pay.v3.PayNotice;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @ClassName: IPayService
 * @Description: 支付
 * @Author: wanggeng
 * @Date: 2021/8/20 8:15 上午
 * @Version: 1.0
 */
public interface IPayService {

    /**
     * 支付通知
     *
     * @param request
     * @param response
     * @param wechatpaySignature
     * @param payNotice
     */
    void notice(HttpServletRequest request, HttpServletResponse response, String wechatpaySignature, PayNotice payNotice);
}
